CGAL 5.6.3 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex Class Reference
2D Arrangement Reference » DCEL

`#include <CGAL/Arrangement_on_surface_2.h>`

## Inherits from

typename Dcel::Vertex.

## Definition

template<typename GeometryTraits, typename TopologyTraits>
class CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex

An object \( v\) of the class `Vertex` represents an arrangement vertex, that is a \( 0\)-dimensional cell, associated with a point on the ambient surface.

## Creation
| Vertex ()
| default constructor.

## Access Functions
All non-const methods listed below also have `const` counterparts that return constant handles, iterators or circulators:
bool | is_at_open_boundary () const
| checks whether the vertex lies at infinity and not associated with a point with bounded coordinates.
bool | is_isolated () const
| checks whether the vertex is isolated (i.e., has no incident edges).
Size | degree () const
| obtains the number of edges incident to `v`.
Halfedge_around_vertex_circulator | incident_halfedges ()
| obtains a circulator circulator that allows going over the halfedges incident to `v` (that have `v` as their target).
Face_handle | face ()
| obtains a handle to the face that contains `v` in its interior.
const Traits::Point_2 & | point () const
| obtains the point associated with the vertex.
Arr_parameter_space | parameter_space_in_x () const
| obtains the placement of the \( x\)-coordinate in the parameter space, that is, either the left boundary-side, the interior, or the right boundary-side.
Arr_parameter_space | parameter_space_in_y () const
| obtains the placement of the \( y\)-coordinate in the parameter space, that is, either the bottom boundary-side, the interior, or the top boundary-side.

## Member Function Documentation

## ◆ face()

template<typename GeometryTraits , typename TopologyTraits >

Face_handle CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex::face | ( |  | ) |

obtains a handle to the face that contains `v` in its interior.

Precondition
  `v` is an isolated vertex.

## ◆ incident_halfedges()

template<typename GeometryTraits , typename TopologyTraits >

Halfedge_around_vertex_circulator CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex::incident_halfedges | ( |  | ) |

obtains a circulator circulator that allows going over the halfedges incident to `v` (that have `v` as their target).

The edges are traversed in a clockwise direction around `v`.

Precondition
  `v` is not an isolated vertex.

## ◆ parameter_space_in_x()

template<typename GeometryTraits , typename TopologyTraits >

Arr_parameter_space CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex::parameter_space_in_x | ( |  | ) | const

obtains the placement of the \( x\)-coordinate in the parameter space, that is, either the left boundary-side, the interior, or the right boundary-side.

If the vertex lies on an identified vertical side, the return value is non-deterministic.

## ◆ parameter_space_in_y()

template<typename GeometryTraits , typename TopologyTraits >

Arr_parameter_space CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex::parameter_space_in_y | ( |  | ) | const

obtains the placement of the \( y\)-coordinate in the parameter space, that is, either the bottom boundary-side, the interior, or the top boundary-side.

If the vertex lies on an identified horizontal side, the return value is non-deterministic.

## ◆ point()

template<typename GeometryTraits , typename TopologyTraits >

const Traits::Point_2 & CGAL::Arrangement_on_surface_2< GeometryTraits, TopologyTraits >::Vertex::point | ( |  | ) | const

obtains the point associated with the vertex.

Precondition
  `v` is not a vertex at infinity.